function commonSubmitArgs = getCommonSubmitArgs(cluster)
% Get any additional submit arguments for the Slurm sbatch command
% that are common to both independent and communicating jobs.

% Copyright 2016-2022 The MathWorks, Inc.

commonSubmitArgs = '';
ap = cluster.AdditionalProperties;

% Append any arguments provided by the AdditionalSubmitArgs field of cluster.AdditionalProperties.
extraArgs = validatedPropValue(ap, 'AdditionalSubmitArgs', 'char');
if ~isempty(extraArgs)
    commonSubmitArgs = strtrim(sprintf('%s %s', commonSubmitArgs, extraArgs));
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% CUSTOMIZATION MAY BE REQUIRED %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% You may wish to support further cluster.AdditionalProperties fields here
% and modify the submission command arguments accordingly.
